Subject: Re: bug#36767: 26.1; request: add more quick keys to the *Help* buffer

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Sep 2021 12:55:47 +0300

> From: martin rudalics <[email-masked]>
> Date: Sun, 26 Sep 2021 11:11:22 +0200
> Cc: [email-masked], ndame <[email-masked]>
> 
>  > I fixed up your patch so that it works more reliably, but then I
>  > remembered why I didn't add the link: We don't know at this point
>  > whether the symbol in question is documented in the manual.  Adding a
>  > link to something that fails is bad UI.  And we can't check whether the
>  > symbol exists in the manual when generating the *Help* buffer, because
>  > it's slow, and the trade-off (making the command slow versus an extra
>  > link) is not a good one.
> 
> It would be nice to have an etags-like tool that produces a table of all
> symbols documented in installed manuals.

You should be able to use 'etags' itself, it allows you to define
symbols via regular expressions.